-- For exercising DBM boss-related callbacks.   -farmbuyer

-- horde:     UC, TB, Org, SC
-- alliance:  SW, IF, Dar, Ex
local nearest_capital = "UC"

-- real DBM code splits all these out into files
-- for now, we'll just dump them together, but (hopefully) in the same way
local Ll = DBM:GetModLocalization("NotScaryAtAll")

Ll:SetGeneralLocalization({
    name = "Lowbie Mobs For Testing"
})


-----------------------------------------------------
-- this would go into the module file
local mod = DBM:NewMod("NotScaryAtAll", "DBM-NotScaryAtAll")
local L = mod:GetLocalizedStrings()
mod:SetRevision(4)


-- argh.  setting more than one ID means we have to kill them all to
-- qualify as victory.  instead, choose based on which capital we choose
-- to use.  (on the assumption that we'll want to quickly logout)
if nearest_capital == "UC" then
	mod:SetZone("Tirisfal Glades")
	mod:SetCreatureID(1548)   -- Cursed Darkhound

elseif nearest_capital == "TB" then
	mod:SetZone("Mulgore")
	mod:SetCreatureID(2959)   -- Prairie Stalker

elseif nearest_capital == "Org" then
	mod:SetZone("Durotar")
	mod:SetCreatureID(3100)   -- Elder Mottled Boar

elseif nearest_capital == "SC" then
	mod:SetZone("Eversong Woods")
	mod:SetCreatureID(15654)   -- Plaguebone Pillager

elseif nearest_capital == "SW" then  -- untested since Cata
	mod:SetZone("Elwynn Forest")
	mod:SetCreatureID(94)   -- Defias Cutpurse

elseif nearest_capital == "IF" then  -- untested since Cata
	mod:SetZone("Dun Morogh")
	mod:SetCreatureID(1199)   -- Juvenile Snow Leopard

elseif nearest_capital == "Dar" then  -- untested since Cata
	mod:SetZone("Teldrassil")
	mod:SetCreatureID(1999)   -- Webwood Venomfang

elseif nearest_capital == "Ex" then  -- untested since Cata
	mod:SetZone("Azuremyst Isle")
	mod:SetCreatureID(17374)   -- Greater Timberstrider

else --??
end

mod:RegisterCombat("combat")

